function setup()
	A = generator.getMobGroup("A")
	a = generator.getMobGroup("A")
	B1 = generator.getMobGroup("B")
	B2 = generator.getMobGroup("B")
	B3 = generator.getMobGroup("B")
	B4 = generator.getMobGroup("B")
	Z = generator.getMobGroup("Z")

	room.setWave(1)
	room.addActor(B1)
	room.addActor(Z)
	
	room.setWave(2)
	room.addActor(B1)
	room.addActor(B2)

	room.setWave(3)
	room.addActor(B3)
	room.addActor(B4)
	
	room.setWave(4)
	room.addActor(A)
	room.addActor(Z)
	
	room.setWave(5)
	room.addActor(B1)
	room.addActor(B4)
	
	room.setWave(6)
	room.addActor(B2)
	room.addActor(B3)
	
	room.setWave(7)
	room.addActor(C)
end